#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-iadd
version:              1.3.17
visibility:           public
id:                   hledger-iadd-1.3.17-KIS11S9LLCg8L0gZpp3H8p
key:                  hledger-iadd-1.3.17-KIS11S9LLCg8L0gZpp3H8p
license:              BSD-3-Clause
copyright:            2018 Hans-Peter Deifel
maintainer:           Hans-Peter Deifel <hpd@hpdeifel.de>
author:               Hans-Peter Deifel <hpd@hpdeifel.de>
homepage:             https://github.com/hpdeifel/hledger-iadd#readme
synopsis:             A terminal UI as drop-in replacement for hledger add
description:
    This is a terminal UI as drop-in replacement for hledger add.

    It improves in the following ways on hledger'\''s add command:

    * Interactive as-you-type completion for
    account names and descriptions with optional
    fuzzy matching.

    * Integrated calculator: Amounts can be written
    as simple sums with real-time feedback on the
    result.

    * All actions while entering a transaction can
    be undone

    * Configurable format for date input. Instead
    of @y\/m\/d@ it is also possible to use other
    formats like the german @d.m.y@.

category:             Finance, Console
abi:                  284506e1dc48fa180b2615f78de944db
exposed:              True
exposed-modules:
    AmountParser Brick.Widgets.BetterDialog Brick.Widgets.Border.Utils
    Brick.Widgets.CommentDialog Brick.Widgets.Edit.EmacsBindings
    Brick.Widgets.HelpMessage Brick.Widgets.List.Utils
    Brick.Widgets.WrappedText ConfigParser Data.Time.Ext DateParser
    Model View

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hledger-iadd-1.3.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/hledger-iadd
hs-libraries:         HShledger-iadd-1.3.17-KIS11S9LLCg8L0gZpp3H8p
depends:
    base-4.15.1.0 brick-0.70-GkvHZbFXcRQ6Kx591t6ETR containers-0.6.4.1
    directory-1.3.6.2 free-5.1.9-AErLVoqvvUt8yXqers0eL1
    hledger-lib-1.26-DEoNVl0XDgv7zssDGTDtzS
    megaparsec-9.2.1-AcAPWVKG2df1cxYo2GdubJ
    microlens-0.4.13.0-8kbZITwqGed8vNsPXOVOwI
    microlens-th-0.4.3.10-CQmpaaSwO5aKTBUMVOAKZU
    optparse-applicative-0.16.1.0-BKNPip5PGw2CnbOiekISfW text-1.2.5.0
    text-zipper-0.12-Ibd1vz0pGYtL1YWpKpR8MK time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-IGLlpGl08fHL3nm9W9Ceop
    vector-0.12.3.1-Ez332dT0qjy6X3Ga8WsjkB
    vty-5.36-Jw9tx4BaLXHCQewrHHoAX7
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT

haddock-interfaces:   /usr/share/doc/hledger-iadd/html/hledger-iadd.haddock
haddock-html:         /usr/share/doc/hledger-iadd/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

